Subject: bug#24435: closed (Re: bug#24435: 25.1; Problem using Hunspell)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 Sep 2016 08:35:02 +0000

Your bug report

#24435: 25.1; Problem using Hunspell

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24435: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24435
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24435: 25.1; Problem using Hunspell
From: Eli Zaretskii <[email-masked]>
To: Dmitri Paduchikh <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 16 Sep 2016 11:34:24 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Dmitri Paduchikh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 16 Sep 2016 13:06:59 +0500
> 
> >> $ pgrep -a hunspell
> >> 6310 /usr/bin/hunspell  -d ru_RU -i UTF-8
> >> $ tr \\0 \\n < /proc/6310/cmdline | cat -n
> >>      1        /usr/bin/hunspell
> >>      2        
> >>      3        -d
> >>      4        ru_RU
> >>      5        -i
> >>      6        UTF-8
> >> $ 
> 
> > Does it mean hunspell is a shell script, which omits the -a when it
> > invokes the actual program?  How else to explain the fact that -a
> > disappears?
> 
> You are right. It is my own script which I wrote away back with some
> obscure purpose and did not remove.
> 
> $ cat `which hunspell`
> #!/bin/sh
> shift
> exec /usr/bin/hunspell "$@"
> 
> After removing this script, unmodified ispell.el works as expected.

Thanks, I'm therefore closing this bug report.

Subject: 25.1; Problem using Hunspell
From: Dmitri Paduchikh <[email-masked]>
To: [email-masked]
Date: Wed, 14 Sep 2016 18:24:24 +0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Judging from ispell.el it should work with Hunspell, so I tried to use
it. But attempts to check a word produce the following error message.

| Starting new Ispell process hunspell with ru_RU dictionary...
| hunspell release 3.1.12 or greater is required (ispell-check-version)

The latest version of Hunspell is 1.4.1 as can be seen here:
https://github.com/hunspell/hunspell/releases

As I understand, the problem arises because ispell-check-version finds
version information using regexp

"(but really Hunspell \\([0-9]+\\.[0-9\\.-]+\\)?)"

The output of hunspell -vv does not match it, hence the results.

$ hunspell -vv < /dev/null
Hunspell 1.4.0
$ 

Best regards
Dmitri Paduchikh

In GNU Emacs 25.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.20.9)
 of 2016-09-09 built on nocturne.localdomain